Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface JifMethodDecl

All Superinterfaces:
  polyglot.ast.ClassMember, java.lang.Cloneable, polyglot.ast.CodeDecl, polyglot.util.Copy, JifProcedureDecl, polyglot.ast.JL, polyglot.ast.MethodDecl, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.ProcedureDecl, polyglot.ast.Term

All Known Implementing Classes:
  JifMethodDecl_c

    public interface JifMethodDecl

extends JifProcedureDecl, polyglot.ast.MethodDecl

An immutable representation of the Jif method declaration. It extends the Java method declaration with the start label, the return lable, and various constraints, including the authority constraint, the caller constraint, and the acts-for constraint.

Method Summary
`JifMethodDecl` | `constraints(java.util.List constraints)`
`JifMethodDecl` | `returnLabel(LabelNode returnLabel)`
`JifMethodDecl` | `startLabel(LabelNode startLabel)`

Methods inherited from interface jif.ast.JifProcedureDecl
`constraints, returnLabel, startLabel`

Methods inherited from interface polyglot.ast.ProcedureDecl
`procedureInstance`

Methods inherited from interface polyglot.ast.CodeDecl
`body, body, codeInstance`

Methods inherited from interface polyglot.ast.ClassMember
`memberInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.ast.MethodDecl
`flags, flags, formals, formals, methodInstance, methodInstance, name, name, returnType, returnType, throwTypes, throwTypes`

Methods inherited from interface polyglot.ast.ProcedureDecl
`procedureInstance`

Methods inherited from interface polyglot.ast.CodeDecl
`body, body, codeInstance`

Methods inherited from interface polyglot.ast.ClassMember
`memberInstance`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, entry, exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Method Detail

### startLabel

    JifMethodDecl startLabel(LabelNode startLabel)

### returnLabel

    JifMethodDecl returnLabel(LabelNode returnLabel)

### constraints

    JifMethodDecl constraints(java.util.List constraints)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD